Subject: [PATCH V2] arm: mvebu: Improve the SMP support of the interrupt controller

From: [email-masked] (Gregory CLEMENT)
Date: Mon, 07 Jan 2013 22:07:34 +0100

On 01/07/2013 10:03 PM, Jason Cooper wrote:
> On Mon, Jan 07, 2013 at 09:48:13PM +0100, Gregory CLEMENT wrote:
>> On 01/07/2013 06:51 PM, Jason Cooper wrote:
>>> On Wed, Dec 05, 2012 at 09:43:23PM +0100, Gregory CLEMENT wrote:
>>>> This patch makes the interrupt controller driver more SMP aware for
>>>> the Armada XP SoCs. It adds the support for the per-CPU irq. It also
>>>> adds the implementation for the set_affinity hook.
>>>>
>>>> Patch initialy wrote by Yehuda Yitschak and reworked by Gregory
>>>> CLEMENT.
>>>>
>>>> Signed-off-by: Yehuda Yitschak <[email-masked]>
>>>> Signed-off-by: Gregory CLEMENT <[email-masked]>
>>>> ---
>>>>  arch/arm/boot/dts/armada-xp.dtsi        |    2 +-
>>>>  arch/arm/mach-mvebu/irq-armada-370-xp.c |   52 +++++++++++++++++++++++++++++++
>>>>  2 files changed, 53 insertions(+), 1 deletion(-)
>>>
>>> Applied to mvebu/boards
>>
>> Hi Jason,
>> thanks for taking this patch. Unfortunately it won't be enough. Indeed
>> after speaking with Marvell engineers we realized that the MPIC didn't
>> work as we expected. As it is written in the following patch: the MPIC,
>> unlike the GIC, allows several CPUs to acknowledge the same global
>> interrupt.
>>
>> I joined the patch to this email, you can apply it on top of your
>> mvebu/boards or you can squash it with the previous patch.
> 
> Ok, I'll let this sit for a few days and barring any comments, I'll
> squash it in with the first patch.  If you could provide some
> Tested-by's, that would be appreciated.

I know that Thomas used it, so we can expect his official Tested-by
very soon :)

> 
> thx,
> 
> Jason.
> 
> _______________________________________________
> linux-arm-kernel mailing list
> linux-arm-kernel at lists.infradead.org
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
> 

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com